Skip to content

Try “workflows”, “templates”, “SOQL” or “create a record”.

Calendars

Calendars and the events on them.

List calendars

GET/calendars
Scope calendars:viewRead-only

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/calendars" \  -H "Authorization: Bearer $KLERC_TOKEN"

Create a calendar

POST/calendars
Scope calendars:useWrites data

Request body

FieldType
namerequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/calendars" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"name":"…"}'

Get a calendar

GET/calendars/{id}
Scope calendars:viewRead-only

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/calendars/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Update a calendar

PATCH/calendars/{id}
Scope calendars:useWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/calendars/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Delete a calendar

DELETE/calendars/{id}
Scope calendars:useWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/calendars/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

List events in a calendar

GET/calendars/{id}/events
Scope calendars:viewRead-only

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/calendars/{id}/events" \  -H "Authorization: Bearer $KLERC_TOKEN"

Create a calendar event

POST/calendars/{id}/events
Scope calendars:useWrites data

Path parameters

NameType
idrequiredstring

Request body

FieldType
titlestring
startstring
endstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/calendars/{id}/events" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"title":"…","start":"…","end":"…"}'

Get a calendar event

GET/calendars/{id}/events/{eventId}
Scope calendars:viewRead-only

Path parameters

NameType
idrequiredstring
eventIdrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/calendars/{id}/events/{eventId}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Update a calendar event

PATCH/calendars/{id}/events/{eventId}
Scope calendars:useWrites data

Path parameters

NameType
idrequiredstring
eventIdrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/calendars/{id}/events/{eventId}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Delete a calendar event

DELETE/calendars/{id}/events/{eventId}
Scope calendars:useWrites data

Path parameters

NameType
idrequiredstring
eventIdrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/calendars/{id}/events/{eventId}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Create a meeting link

POST/calendars/meeting
Scope calendars:useWrites data

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/calendars/meeting" \  -H "Authorization: Bearer $KLERC_TOKEN"